﻿<!-- BattleForge Special Effect Editor -->
<!-- Copyright(C) 2022 Skylords Reborn -->
<!-- Project licensed under GNU General Public License v3.0. See LICENSE for more information. -->

<UserControl x:Class="BattleForgeEffectEditor.Application.View.SpecialEffectEditorView"
        xmlns="http://schemas.microsoft.com/winfx/2006/xaml/presentation"
        xmlns:x="http://schemas.microsoft.com/winfx/2006/xaml"
        xmlns:d="http://schemas.microsoft.com/expression/blend/2008"
        xmlns:mc="http://schemas.openxmlformats.org/markup-compatibility/2006"
        xmlns:vm="clr-namespace:BattleForgeEffectEditor.Application.ViewModel"
        xmlns:v="clr-namespace:BattleForgeEffectEditor.Application.View"
        d:DataContext="{d:DesignInstance Type=vm:SpecialEffectEditorViewModel}"
        mc:Ignorable="d">
    <Grid>
        <Grid.RowDefinitions>
            <RowDefinition Height="40" />
            <RowDefinition Height="115*"/>
            <RowDefinition Height="224*"/>
        </Grid.RowDefinitions>
        <Grid.ColumnDefinitions>
            <ColumnDefinition Width="1*" MaxWidth="359"/>
            <ColumnDefinition Width="3*" MaxWidth="200"/>
            <ColumnDefinition Width="3*" MaxWidth="200"/>
            <ColumnDefinition Width="*" />
        </Grid.ColumnDefinitions>

        <v:SpecialEffectEditorTopBarView Grid.Row="0"
                                         Grid.ColumnSpan="4"
                                         Margin="5, 5, 5, 0"
                                         DataContext="{Binding TopBar}"/>
        
        <Border Grid.Row="1" Grid.RowSpan="2" Margin="5" CornerRadius="6" BorderThickness="2">
            <v:ElementTreeView Margin="5" DataContext="{Binding ElementTree}" />
        </Border>

        <v:ElementEditorView Grid.Row="1"
                             Grid.Column="1"
                             Grid.RowSpan="2"
                             Grid.ColumnSpan="3"
                             Visibility="{Binding Path=DataContext.ShowElementEditor,
                                                RelativeSource={RelativeSource AncestorType={x:Type UserControl}},
                                                Converter={StaticResource BoolToVisibility}}"
                             DataContext="{Binding ElementEditor}"/>
    </Grid>
</UserControl>
